package com.dcsoft.system.kq.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 考勤班次对象 kq_classes_item
 *
 * @author dcsoft
 * @date 2023-01-09
 */
public class KqClassesItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 班次id */
    private Long itemId;

    /** 班次名称 */
    @Excel(name = "班次名称")
    private Long classesId;

    /** 一天几次上下班 */
    @Excel(name = "一天几次上下班")
    private String up;

    /** 合计工作时长 */
    @Excel(name = "合计工作时长")
    private String down;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setItemId(Long itemId)
    {
        this.itemId = itemId;
    }

    public Long getItemId()
    {
        return itemId;
    }
    public void setClassesId(Long classesId)
    {
        this.classesId = classesId;
    }

    public Long getClassesId()
    {
        return classesId;
    }
    public void setUp(String up)
    {
        this.up = up;
    }

    public String getUp()
    {
        return up;
    }
    public void setDown(String dowm)
    {
        this.down = dowm;
    }

    public String getDown()
    {
        return down;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("itemId", getItemId())
            .append("classesId", getClassesId())
            .append("up", getUp())
            .append("down", getDown())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
